%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-dnspython
Version:       2.7.0
Release:       1mamba
Summary:       A DNS toolkit for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://pypi.debian.net/dnspython/dnspython-%{version}.tar.gz
License:       ISC
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n dnspython-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/dns
%{python_sitelib}/dns/*
%doc LICENSE

%changelog
* Sun Oct 06 2024 Automatic Build System <autodist@openmamba.org> 2.7.0-1mamba
- automatic version update by autodist

* Mon Feb 19 2024 Automatic Build System <autodist@openmamba.org> 2.6.1-1mamba
- automatic version update by autodist

* Sat Feb 17 2024 Automatic Build System <autodist@openmamba.org> 2.6.0-1mamba
- automatic version update by autodist

* Sat Jan 20 2024 Automatic Build System <autodist@openmamba.org> 2.5.0-1mamba
- automatic version update by autodist

* Fri Dec 01 2023 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.3.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Apr 10 2023 Sdk Build System <sdk@mambasoft.it> 2.3.0-2mamba
- rebuilt with python 3.10

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon May 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-1mamba
- update to 2.2.1

* Sun Nov 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-3mamba
- remove obsolete for dnspython in favour of legacy package python-dnspython-py27 for mailman 2

* Mon Apr 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- obsolete dnspython

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.0-1mamba
- package created using the webbuild interface
